> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/furnishment-api/statements/create-statement.md).

# Create Statement

Create a new statement.

```json
{"openapi":"3.1.0","info":{"title":"Furnishment API","version":"2.0"},"tags":[{"name":"Statements"}],"servers":[{"description":"Furnishment sandbox server, for testing purposes (v2)","url":"https://sandbox.bloom.dev"},{"description":"Furnishment server","url":"https://api.bloomcredit.io"},{"description":"Production Consumer Permissioned Data server","url":"https://api.bloomplus.com"},{"description":"Development Consumer Permissioned Data server","url":"https://api.bloomplus.dev"}],"security":[{"Oauth2ClientCredentials":[]}],"components":{"securitySchemes":{"Oauth2ClientCredentials":{"flows":{"clientCredentials":{"scopes":{"furnishment:all":"Manage accounts."},"tokenUrl":"https://authn.bloomcredit.dev/oauth2/token"}},"type":"oauth2"}},"schemas":{"Request_StatementCreate_":{"description":"    ","properties":{"data":{"$ref":"#/components/schemas/RequestData_StatementCreate_"}},"required":["data"],"title":"Request[StatementCreate]","type":"object"},"RequestData_StatementCreate_":{"description":"    ","properties":{"attributes":{"$ref":"#/components/schemas/StatementCreate"},"id":{"title":"Id","type":"string"},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/RequestRelationshipModel"},"title":"Relationships","type":"object"},"type":{"enum":["StatementCreate"],"title":"Type","type":"string"}},"required":["type","attributes"],"title":"RequestData[StatementCreate]","type":"object"},"StatementCreate":{"properties":{"account_id":{"format":"uuid","title":"Account Id","type":"string"},"actual_monthly_payment":{"minimum":0,"title":"Actual Monthly Payment","type":"number"},"amount_past_due":{"minimum":0,"title":"Amount Past Due","type":"number"},"credit_limit":{"minimum":0,"title":"Credit Limit","type":"number"},"current_balance":{"minimum":0,"title":"Current Balance","type":"number"},"days_delinquent":{"default":0,"title":"Days Delinquent","type":"integer"},"highest_balance":{"default":0,"minimum":0,"title":"Highest Balance","type":"number"},"last_payment_date":{"format":"date","title":"Last Payment Date","type":"string"},"scheduled_monthly_payment":{"minimum":0,"title":"Scheduled Monthly Payment","type":"number"},"statement_date":{"format":"date","title":"Statement Date","type":"string"},"statement_identifier":{"title":"Statement Identifier","type":"string"}},"required":["account_id","statement_date","current_balance","credit_limit","scheduled_monthly_payment","actual_monthly_payment","amount_past_due","statement_identifier"],"title":"StatementCreate","type":"object"},"RequestRelationshipModel":{"properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"}},"title":"RequestRelationshipModel","type":"object"},"ResourceIdentifier":{"description":"https://jsonapi.org/format/#document-resource-identifier-objects","properties":{"id":{"title":"Id","type":"string"},"meta":{"title":"Meta","type":"object"},"type":{"title":"Type","type":"string"}},"required":["id","type"],"title":"ResourceIdentifier","type":"object"},"Response_Statement_":{"description":"    ","properties":{"data":{"$ref":"#/components/schemas/ResponseData_Statement_"},"included":{"items":{},"title":"Included","type":"array"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"meta":{"title":"Meta","type":"object"}},"required":["data"],"title":"Response[Statement]","type":"object"},"ResponseData_Statement_":{"description":"    ","properties":{"attributes":{"allOf":[{"$ref":"#/components/schemas/StatementResponse"}],"default":{},"title":"Attributes"},"id":{"title":"Id","type":"string"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/ResponseRelationshipModel"},"title":"Relationships","type":"object"},"type":{"enum":["Statement"],"title":"Type","type":"string"}},"required":["id","type"],"title":"ResponseData[Statement]","type":"object"},"StatementResponse":{"description":"A detokenized statement record, containing point-in-time account information, and\npayments collected during the statement period","properties":{"account_id":{"format":"uuid","title":"Account Id","type":"string"},"actual_monthly_payment":{"minimum":0,"title":"Actual Monthly Payment","type":"number"},"amount_past_due":{"minimum":0,"title":"Amount Past Due","type":"number"},"bankruptcy":{"$ref":"#/components/schemas/BankruptcyEvent"},"charge_off":{"$ref":"#/components/schemas/ChargeOff"},"collateral":{"$ref":"#/components/schemas/Collateral"},"collections":{"$ref":"#/components/schemas/Collections"},"credit_limit":{"minimum":0,"title":"Credit Limit","type":"number"},"credit_product_id":{"format":"uuid","title":"Credit Product Id","type":"string"},"current_balance":{"minimum":0,"title":"Current Balance","type":"number"},"days_delinquent":{"default":0,"title":"Days Delinquent","type":"integer"},"deleted":{"$ref":"#/components/schemas/AccountDeleteEvent"},"forbearance":{"$ref":"#/components/schemas/Forbearance"},"foreclosure":{"$ref":"#/components/schemas/Foreclosure"},"highest_balance":{"default":0,"minimum":0,"title":"Highest Balance","type":"number"},"id":{"format":"uuid","title":"Id","type":"string"},"last_payment_date":{"format":"date","title":"Last Payment Date","type":"string"},"lien":{"$ref":"#/components/schemas/Lien"},"payment_default":{"$ref":"#/components/schemas/PaymentDefaultEvent"},"positions":{"$ref":"#/components/schemas/app__schemas__v1__account__account_position__response__AccountPosition"},"scheduled_monthly_payment":{"minimum":0,"title":"Scheduled Monthly Payment","type":"number"},"secondary_consumer_events":{"default":[],"items":{"$ref":"#/components/schemas/SecondaryConsumerEvent"},"title":"Secondary Consumer Events","type":"array"},"statement_date":{"format":"date","title":"Statement Date","type":"string"},"statement_identifier":{"title":"Statement Identifier","type":"string"},"transfer":{"$ref":"#/components/schemas/Transfer"}},"required":["account_id","statement_date","current_balance","credit_limit","scheduled_monthly_payment","actual_monthly_payment","amount_past_due","statement_identifier","id"],"title":"StatementResponse","type":"object"},"BankruptcyEvent":{"properties":{"chapter":{"$ref":"#/components/schemas/BankruptcyChapter"},"consumer_id":{"format":"uuid","title":"Consumer Id","type":"string"},"effective_date":{"format":"date","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/BankruptcyStatus"}},"title":"BankruptcyEvent","type":"object"},"BankruptcyChapter":{"description":"An enumeration.","enum":["CHAPTER_7","CHAPTER_11","CHAPTER_12","CHAPTER_13"],"title":"BankruptcyChapter","type":"string"},"BankruptcyStatus":{"description":"An enumeration.","enum":["FILED","REMOVAL","DISCHARGED","REAFFIRMED","RESCINDED","CONFIRMED"],"title":"BankruptcyStatus","type":"string"},"ChargeOff":{"properties":{"amount":{"minimum":0,"title":"Amount","type":"number"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"special_comment_code":{"$ref":"#/components/schemas/ChargeOffSpecialCommentCode"},"status":{"$ref":"#/components/schemas/ChargeOffStatus"}},"title":"ChargeOff","type":"object"},"ChargeOffSpecialCommentCode":{"description":"An enumeration.","enum":["CHARGE_OFF","ACCOUNT_PAID_FULL_LESS_THAN_FULL_BALANCE","CREDIT_LINE_SUSPENDED"],"title":"ChargeOffSpecialCommentCode","type":"string"},"ChargeOffStatus":{"description":"An enumeration.","enum":["CHARGE_OFF","PAID_IN_FULL_CHARGE_OFF","UNPAID_BALANCE_REPORTED_AS_LOSS"],"title":"ChargeOffStatus","type":"string"},"Collateral":{"properties":{"amount":{"minimum":0,"title":"Amount","type":"number"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/CollateralStatus"}},"title":"Collateral","type":"object"},"CollateralStatus":{"description":"An enumeration.","enum":["VOLUNTARY_SURRENDERED","PAID_IN_FULL_FORECLOSURE_WAS_STARTED","DEED_RECEIVED_IN_LIEU_OF_FORECLOSURE_ON_DEFAULTED_MORTGAGE","REPOSSESSION","COLLATERAL_DEPRECIATION","COLLATERAL_RELEASED","SHORT_SALE","LOAN"],"title":"CollateralStatus","type":"string"},"Collections":{"properties":{"amount":{"minimum":0,"title":"Amount","type":"number"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/CollectionsStatus"}},"title":"Collections","type":"object"},"CollectionsStatus":{"description":"An enumeration.","enum":["PAID_IN_FULL_COLLECTION_ACCOUNT"],"title":"CollectionsStatus","type":"string"},"AccountDeleteEvent":{"properties":{"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/AccountDeletionReason"}},"title":"AccountDeleteEvent","type":"object"},"AccountDeletionReason":{"description":"An enumeration.","enum":["CONFIRMED_FRAUD","OTHER_REASON_NOT_FRAUD"],"title":"AccountDeletionReason"},"Forbearance":{"properties":{"amount":{"minimum":0,"title":"Amount","type":"number"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"special_comment_code":{"$ref":"#/components/schemas/ForbearanceSpecialCommentCode"},"status":{"$ref":"#/components/schemas/ForbearanceStatus"}},"title":"Forbearance","type":"object"},"ForbearanceSpecialCommentCode":{"description":"An enumeration.","enum":["ACCOUNT_IN_FORBEARANCE"],"title":"ForbearanceSpecialCommentCode","type":"string"},"ForbearanceStatus":{"description":"An enumeration.","enum":["FORBEARANCE"],"title":"ForbearanceStatus","type":"string"},"Foreclosure":{"properties":{"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/ForeclosureStatus"}},"title":"Foreclosure","type":"object"},"ForeclosureStatus":{"description":"An enumeration.","enum":["FORECLOSURE_STARTED","FORECLOSURE_COMPLETED"],"title":"ForeclosureStatus"},"Lien":{"properties":{"amount":{"minimum":0,"title":"Amount","type":"number"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/LienStatus"}},"title":"Lien","type":"object"},"LienStatus":{"description":"An enumeration.","enum":["CLAIM_FILED_WITH_GOVT_FOR_INSURED_PORTION_ON_DEFAULTED_LOAN"],"title":"LienStatus","type":"string"},"PaymentDefaultEvent":{"properties":{"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/PaymentDefaultStatus"}},"title":"PaymentDefaultEvent","type":"object"},"PaymentDefaultStatus":{"description":"Status to perform the reverse operation","enum":["FIRST_PAYMENT_NEVER_RECEIVED"],"title":"PaymentDefaultStatus","type":"string"},"app__schemas__v1__account__account_position__response__AccountPosition":{"properties":{"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"initiator":{"$ref":"#/components/schemas/AccountClosedInitiator"},"initiator_reversed":{"title":"Initiator Reversed","type":"boolean"},"initiator_reversed_on":{"format":"date-time","title":"Initiator Reversed On","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/app__schemas__v1__account__account_position__enums__AccountPosition"}},"title":"AccountPosition","type":"object"},"AccountClosedInitiator":{"description":"An enumeration.","enum":["CREDITOR","CONSUMER"],"title":"AccountClosedInitiator"},"app__schemas__v1__account__account_position__enums__AccountPosition":{"description":"Account Position events that represent position changes on an account\"","enum":["ACCOUNT_CLOSED","CREDIT_LINE_SUSPENDED"],"title":"AccountPosition"},"SecondaryConsumerEvent":{"properties":{"account_id":{"format":"uuid","title":"Account Id","type":"string"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"removal_type":{"$ref":"#/components/schemas/SecondaryRemovalType"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/SecondaryStatus"}},"required":["id","organization_id","account_id"],"title":"SecondaryConsumerEvent","type":"object"},"SecondaryRemovalType":{"description":"An enumeration.","enum":["TERMINATED","DELETE_CONSUMER"],"title":"SecondaryRemovalType"},"SecondaryStatus":{"description":"An enumeration.","enum":["ADD_SECONDARY_CONSUMER","REMOVE_SECONDARY_CONSUMER"],"title":"SecondaryStatus"},"Transfer":{"properties":{"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"reversed":{"title":"Reversed","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/TransferStatus"},"transfer_type":{"$ref":"#/components/schemas/TransferType"}},"title":"Transfer","type":"object"},"TransferStatus":{"description":"An enumeration.","enum":["TRANSFER","REMOVE_TRANSFER"],"title":"TransferStatus","type":"string"},"TransferType":{"description":"An enumeration.","enum":["SELL","BUY"],"title":"TransferType","type":"string"},"LinkHref":{"properties":{"href":{"title":"Href","type":"string"},"meta":{"title":"Meta","type":"object"}},"required":["href","meta"],"title":"LinkHref","type":"object"},"ResponseRelationshipModel":{"properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"meta":{"title":"Meta","type":"object"}},"title":"ResponseRelationshipModel","type":"object"},"JSONAPIErrorResponse":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/JSONAPIError"},"title":"Errors","type":"array"}},"required":["errors"],"title":"JSONAPIErrorResponse","type":"object"},"JSONAPIError":{"properties":{"detail":{"default":"","title":"Detail","type":"string"},"status":{"title":"Status","type":"integer"},"title":{"title":"Title","type":"string"}},"required":["title"],"title":"JSONAPIError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}},"paths":{"/v2/furnishment/statements":{"post":{"description":"Create a new statement.","operationId":"create_statement_api_v1_statements__post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Request_StatementCreate_"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response_Statement_"}}},"description":"Successful Response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}},"description":"Bad Request "},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}},"description":"Not Found "},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}},"description":"Conflict detected from request. "},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":"Create Statement","tags":["Statements"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/furnishment-api/statements/create-statement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
